uss delete                 AFS Commands              uss delete


NAME

   uss delete -- delete user account from system.


   uss delete  -user <login name>
   -mountpoint <mount point for user's volume>  [-savevolume]
             [-verbose]  [-cell <cell name>]
   [-admin <administrator to authenticate>]  [-dryrun]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   uss d  -u <login name>  -m <mount point for user's volume>
        [-s]  [-v]  [-c <cell name>]
   [-a <administrator to authenticate>]  [-d]  [-h]

DESCRIPTION

   Deletes  an AFS user account from the system by deleting the
   user's

      - Protection Database entry

      - Authentication Database entry

      - volume and VLDB entry, unless the issuer  includes
        the  -savevolume flag to prevent the deletion.  If
        the volume is to be deleted, the issuer may  first
        wish to transfer its contents to tape for possible
        restoration.

      - the home directory mount point from the file tree.
        This  happens  even  if  the  -savevolume  flag is
        provided.

ARGUMENTS

   -user     specifies  the  user  name  to  remove  from   the
             Protection and Authentication Databases.

   -mountpoint
             specifies  the  pathname  to   the   user's   home
             directory.  The volume mounted at that location is
             deleted from the system.  If the issuer  does  not
             provide   a   full  pathname,  it  is  interpreted
             relative to the working directory.

   -savevolume
             prevents  the  user's  volume  and VLDB entry from
             being deleted from the system.

   -verbose  causes  the  command  interpreter  to  produce  on
             standard  output (stdout) a more detailed trace of
             the actions it is executing.    By  default,  only
             warnings and error messages appear.

   -cell     specifies  the  cell  in which to run the command.
             See section 7.1 in the Reference Manual  for  more
             details.  -admin
             names the user  whom  the  Authentication  Servers
             should  authenticate  for  purposes of creating an



             Authentication Database entry.  See section 7.1 in
             the Reference Manual for more details.  -dryrun
             indicates that the command interpreter should  not
             actually  execute  the  command, but should report
             all the actions it would perform if executing  it.
             See  section  7.1 in the Reference Manual for more
             details.

   -help     prints the online help for this command.   Do  not
             provide  any  other  arguments  or flags with this
             one.  See section 7.1 in the Reference Manual  for
             more details.

EXAMPLES

   The   following   removes  smith's  user  account  from  the
   transarc.com cell, but prevents deletion of  the  user.smith
   volume.

   % uss del smith /afs/transarc.com/usr/smith -save

PRIVILEGE REQUIRED

   Issuer  (or  person named by -admin argument) must belong to
   the system:administrators group in the Protection  Database,
   must  have  the  ADMIN  flag  in  his  or her Authentication
   Database entry, and must have at least ADMINISTER and DELETE
   rights  in the directory from which the mount point is to be
   removed.  To remove volumes (i.e., if the  -savevolume  flag
   is    not    used),   the   issuer   must   be   listed   in
   /usr/afs/etc/UserList.
